"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
function virtualPlugin() {
    return {
        name: 'vite:build-virtual',
        enforce: 'post',
        generateBundle(_, bundle) {
            for (const item of Object.values(bundle)) {
                if (/_virtual/.test(item.fileName)) {
                    const ext = path_1.default.extname(item.fileName);
                    if (!ext) {
                        item.fileName += '.js';
                    }
                }
            }
        },
    };
}
exports.default = virtualPlugin;
